%% This is an synthetic example of how to use Limit Tippett Plots.
%% (c) Daniel Ramos. January 2013.
%% 

%% Generation of synthetic data. These are LIKELIHOOD-RATIOS (natural, not
%% logarithmic). They are randomly generated.


%% Synthetic set 1. Does not violate bounds of the probability of misleading evidence
LRp1=exp(randn(1,1000)+1);  % True-Hp LRs
LRd1=exp(randn(1,1000)-1);  % True-Hd LRs

%% Synthetic set 2. Violates bounds of the probability of misleading evidence
LRp2=exp([randn(1,800)+1 randn(1,200)*3-1]);                  % True-Hp LRs
LRd2=exp([randn(1,800)-1 randn(1,200)+3]);  % True-Hd LRs

%% Limit Tippett Plots, Universal Bounds
figureS1=Limit_Tippett_Plots_natural_LR({'Synthetic set 1',{LRp1,LRd1}});
figureS2=Limit_Tippett_Plots_natural_LR({'Synthetic set 2',{LRp2,LRd2}});

%% Limit Tippett Plots, Universal Bounds, curves together
figureComparative=Limit_Tippett_Plots_natural_LR({'Synthetic set 1',{LRp1,LRd1}},{'Synthetic set 2',{LRp2,LRd2}});

%% Limit Tippett Plots, set 1, normal bounds with equal variance
boundTypeData.boundName = 'normalEqualVar';
boundTypeData.meanDifference = 1;
boundTypeData.commonVariance = 2;
boundTypeData.n = 20;

figureS1NormalEqualVariance=Limit_Tippett_Plots_natural_LR({'Synthetic set 1',{LRp1,LRd1}},boundTypeData);